Login
Newsletter
Werbung

Sicherheit: Denial of Service in PyMongo
Aktuelle Meldungen Distributionen
Name: Denial of Service in PyMongo
ID: USN-1897-1
Distribution: Ubuntu
Plattformen: Ubuntu 12.04 LTS, Ubuntu 12.10, Ubuntu 13.04
Datum: Mi, 3. Juli 2013, 20:56
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2132
Applikationen: PyMongo

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--===============3854907322365053150==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="------------enig19450CDCB7F76F31EFDBE999"

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig19450CDCB7F76F31EFDBE999
Content-Type: text/plain; charset=UTF-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-1897-1
July 03, 2013

pymongo vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 13.04
- Ubuntu 12.10
- Ubuntu 12.04 LTS

Summary:

PyMongo could be made to crash under certain conditions.

Software Description:
- pymongo: Python interface to the MongoDB document-oriented database

Details:

Jibbers McGee discovered that PyMongo incorrectly handled certain invalid
DBRefs. An attacker could use this issue to cause PyMongo to crash,
resulting in a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 13.04:
python-bson 2.2-4ubuntu0.1
python-bson-ext 2.2-4ubuntu0.1

Ubuntu 12.10:
python-bson 2.2-2ubuntu0.1
python-bson-ext 2.2-2ubuntu0.1

Ubuntu 12.04 LTS:
python-bson 2.1-1ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-1897-1
CVE-2013-2132

Package Information:
https://launchpad.net/ubuntu/+source/pymongo/2.2-4ubuntu0.1
https://launchpad.net/ubuntu/+source/pymongo/2.2-2ubuntu0.1
https://launchpad.net/ubuntu/+source/pymongo/2.1-1ubuntu0.1



--------------enig19450CDCB7F76F31EFDBE999
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQIcBAEBCgAGBQJR1GgXAAoJEGVp2FWnRL6TvskQAJ46VTtlVMB1wqBeBc6XJ8vy
G9lY1LfJ8V987+QW32BFLLm2mzUlZrbafynokK8llYhTv4pop+NTAKGtXYRDRptz
zzF/H75Q/56c7T/dEvstsfvqIwP0OiwSFiKhHu2MZ7fh6XJlV16TLIwmuT9SAmuI
zwSFiaEQzVl306BGIeaM34hSyw+RLom7VEgAmSKeiJWDb0UeVBeHyR70cvmXpG7n
24MQEMLET6k9XFXCUF3fbkdktYDsqE/8C3/8OwmVLbzYzNsIs/B7JkoUaBnDyEgd
RTs5PNzZoMe/XxTRnxxyydvNmo5cvT8npxyO9VIUlOtR8nqYHU6eam13uTHfY8m5
4hZgbED/jstdaHYdn/8kOfpDFQhfAb7Bj6XrcfP2wc6eQ1Ks5Ueuwj53XE1JjirT
NAC4qfcWqnjXq8oIzELylokJpJWwTFppzOQFXXH469nZ/YEO1bJV4cS88RyPY8PU
yH8BrTKifffI+qd+K2ZZFLi7yWcNW3iKPmJhJuKbVC6i8s1GMT0rtkWXuU+YL1MH
fnqolCP9M6TC/PYOeZDVmizt8yYVadBV3PAB3/mFIXQUO1XP6rmWNnuWSlGUHGSi
zLTDxSDJYFDXxjOmN11ptjJH+WtTjFA5YTQE4213iDL1IXjuPWYWkSO2xaZdrX+4
ENBMoYY36DrlvCeO8kgE
=Qvop
-----END PGP SIGNATURE-----

--------------enig19450CDCB7F76F31EFDBE999--


--===============3854907322365053150==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============3854907322365053150==--
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung